<?php


namespace app\components;

/**
 * Class Security
 * @package app\components
 */
class Security
{
    /**
     * Метод генерации пароля
     *
     * @param $password
     * @return false|string|null
     */
    public function generatePasswordHash($password)
    {
        return password_hash($password, PASSWORD_DEFAULT);
    }

    /**
     * Метод проверки пароля
     *
     * @param $password
     * @param $hash
     * @return bool
     */
    public function validatePasswordHash($password, $hash)
    {
        if (password_verify($password, $hash)) {
            return true;
        }

        return false;
    }
}