<div class="admin">
    <div class="flex bg-light">
        <div class="p-3 pt-0 pb-0">
            <div class="row">
                <div class="col-sm-7 pt-4">
                    <h2>Админ панель</h2>
                    <?php if (!empty($session->get('success'))): ?>
                        <p class="text-success"><?php echo $session->get('success'); ?></p>
                        <?php $session->delete('success'); ?>
                    <?php endif; ?>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-7 tasks pt-4">
                    <div class="task-list">
                        <h1>Задачи</h1>
                        <?php if ($countTasks < 1): ?>
                            <p>Задач не обнаружено. Вы можете их добавить</p>
                        <?php else: ?>
                            <table class="table">
                                <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Имя</th>
                                    <th scope="col">Email</th>
                                    <th scope="col">Текст задачи</th>
                                    <th scope="col">Статус</th>
                                    <th scope="col">Редактировать</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach ($tasks as $task): ?>
                                    <tr>
                                        <td><?php echo escapeFunction($task['id']); ?></td>
                                        <td><?php echo escapeFunction($task['nameUser']); ?></td>
                                        <td><?php echo escapeFunction($task['emailUser']); ?></td>
                                        <td><?php echo escapeFunction($task['text']); ?></td>
                                        <td><?php echo escapeFunction($task['status']); ?></td>
                                        <td><a href="/admin/edit/id/<?php echo $task['id'] ?>">да</a></td>
                                    </tr>
                                <?php endforeach; ?>
                                </tbody>
                            </table>
                        <?php endif; ?>
                    </div>
                    <style>
                        .pagination li {
                            list-style-type: none;
                            float: left;
                            margin-right: 3px;
                        }
                    </style>
                    <div class="pagination" style="margin-left:20%;"><?php echo $pagination->get(); ?></div>
                </div>
            </div>
            <?php if (isset($taskEdit) && !empty($taskEdit)): ?>
                <div class="row">
                    <div class="col-sm-7 tasks pt-4">
                        <div class="task-list">
                            <h2>Редактирование задачи:</h2>
                            <div class="p-3">
                                <p class="font-weight-bold">Данные пользователя</p>
                                <p>
                                    <span class="d-block">Имя пользователя: <?php echo escapeFunction($taskEdit['nameUser']); ?></span>
                                    <span class="d-block">Почта пользователя: <?php echo escapeFunction($taskEdit['emailUser']); ?></span>
                                </p>
                            </div>
                            <div class="p-3">
                                <form action="#" method="post" autocomplete="off">
                                    <div class="form-group">
                                        <label>Текст задачи</label>
                                        <textarea type="text" name="text" class="form-control"><?php echo escapeFunction($taskEdit['text']) ?></textarea>
                                    </div>
                                    <div class="form-check pb-4">
                                        <input type="checkbox" class="form-check-input" name="taskSuccess" value="Y">
                                        <label class="form-check-label">Задача выполнена</label>
                                    </div>
                                    <button type="submit" class="btn btn-dark">Изменить</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>