<?php

/**
 * Это единая точка для входа в наше приложение
 */

// Включаем режим строгой типизации
declare(strict_types=1);

// Проверяем минимальную версию php
if (version_compare($ver = PHP_VERSION, $req = '7.4', '<')) {
    exit(sprintf('Вы используете PHP %s, но для корректной работы приложения требуется как минимум <strong>PHP %s</strong>.', $ver, $req));
}

// Отклоняем запросы статических файлов обратно на встроенный веб-сервер PHP
if (php_sapi_name() === 'cli-server') {
    $path = realpath(__DIR__ . parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH));
    if (__FILE__ !== $path && is_file($path)) {
        return false;
    }
    unset($path);
}

// Все запросы внешние направляем на точку входа
chdir(dirname(__DIR__));

// Корневой путь
define('INC_ROOT', dirname(__DIR__));

// Пространство имен
use app\components\Session;
use app\core\Router;
use app\core\ErrorHandler;

// Подключаем автозагрузчик компоузер
$autoloader = INC_ROOT . '/vendor/autoload.php';
if (file_exists($autoloader) && is_readable($autoloader)) {
    require $autoloader;
}

// Запускаем сессии
(new Session())->start();

// Переменная в которой содержится текущий адрес в запросе
$query = rtrim($_SERVER['REQUEST_URI'], '/');
$query = ltrim($_SERVER['REQUEST_URI'], '/');

// Вызываем обработчик ошибок
(new ErrorHandler())->register();

// Подключаем роуты и запускаем роутер
Router::dispatch($query);